Generate a CSV file for the given date range and format.
Remember: use the header X-Organization-Id with the organization ID if you are using a partner token which has access to multiple organizations.
Security
OAuth2ClientCredentials(Required scopes: organization:accounting:read)
The format of the CSV file to generate.
Default:"transactions"
Enum:"transactions""payouts""machine_readable"
GET
curl -i -X GET \
https://api.spensepay.com/partner/settlements/generate_csv \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-Organization-Id: string' \
-d '{
"from_date": "2023-01-01",
"to_date": "2023-01-31",
"format": "transactions",
"test_mode": false,
"payout_type": "PSP",
"exclude_providers": []
}'Response
- Transactions CSV
- Payouts CSV
- Machine Readable CSV
Date of transaction,Payment provider,Settlement reference,Settlement paid at,Reference,Currency,Gross amount,Fees,Net amount,Payment type,Payment method
2025-07-09 00:00:00+00:00,Worldline Bambora,12345678-20250710,2025-07-10 00:00:00+00:00,100000,NOK,1200.99,,,Debit,Visa
2025-07-09 00:00:00+00:00,Worldline Bambora,12345678-20250710,2025-07-10 00:00:00+00:00,100001,NOK,9000.00,,,Credit,Mastercard